Bug 67133 - Six New Ports: Smart Common Input Method platform and its input methods and modules
Summary: Six New Ports: Smart Common Input Method platform and its input methods and m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-24 19:20 UTC by Jie Gao
Modified: 2004-07-02 23:44 UTC (History)
0 users

See Also:


Attachments
scim-ports.tar.gz.uue (7.12 KB, text/plain)
2004-05-24 19:20 UTC, Jie Gao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jie Gao 2004-05-24 19:20:25 UTC
These six ports are for the Smart Common Input Method platform and its input
methods and modules.

Smart Common Input Method platform, in short SCIM, is a development platform to
make Input Method developers live easier. It has very clear architecture and
very simple programming interface.

WWW: http://freedesktop.org/~suzhe/

The ports include:
  textproc/scim        The main SCIM platform
  textproc/scim-gtk2_immodule  The GTK2 immodule of SCIM
  chinese/scim-tables  Table based Chinese input methods for SCIM
  chinese/scim-chinese Smart pinyin input method for SCIM
  korean/scim-tables   Table based Korean input methods for SCIM
  japanese/scim-tables Table based Japanese input methods for SCIM

These ports are created in FreeBSD 5-CURRENT and tested on both 5-CURRENT and
5.2.1-RELEASE (for both libc_r and libkse/libpthread). I'm not sure about
4-STABLE but it should work without or with minor fix since SCIM is mainly 
using POSIX and standard C++ calls.

There is a note about the prefix hack in textproc/scim-gtk2_immodule:

  SCIM requires gettext and it should be installed in the same prefix as
  gettext's (otherwise it will try to install a gettext included with it).
  So the default prefix for textproc/scim should be ${LOCALBASE}.
  But at the same time, the gtk2 immodule always go to the prefix of GTK2's,
  which is ${X11BASE} by default. That's why I split the immodule out from
  scim port and give USE_X_PREFIX to it. To make the immodule work with scim
  platform installed in ${LOCALBASE}, I hacked the Makefile to let ports system
  take X_PREFIX but gmake for immodule think LOCALBASE as the prefix.

I hope this note can clear any doubts about the post-configure target in 
textproc/scim-gtk2_immodule.

I will be glad to be the maintainer of these ports. And as I only understand
Chinese and English, it would be nice if any Korean speakers and Japanese
speakers can take the maintainership of the scim-tables port for the
corresponding language (but I'm still glad to be the maintainer of these two 
if no native speakers volunteer).

The enclosed tarball's extraction prefix is ${PORTSDIR}.
Comment 1 Jie Gao 2004-06-08 21:01:59 UTC
Got a feedback from a FreeBSD 5.2.1-RELEASE-p8 user today that the scim ports 
work fine with gtk, gtk2 and qt.
Comment 2 Jie Gao 2004-06-15 03:16:50 UTC
I finally got a 4.x system and checked this new port on FreeBSD 4.10. There 
are some major differences between 4.x and 5.x blocking the scim port from 
compiling. The problem is in the iswdigit() function and other similar ones. 
According to my knowledge they are only implemented on 5.x. So is there 
anyway that can let a port work around this? Or make this "5.x only"?
Comment 3 Jie Gao 2004-06-19 00:01:35 UTC
>Submitter-Id:	current-users
>Originator:	Jie Gao
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/67133: Six New Ports: Smart Common Input Method platform and its input methods and modules
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		change-request
>Release:	FreeBSD 5.2.1-RELEASE-p5 i386
>Environment:
System: FreeBSD aibsd 5.2.1-RELEASE-p5 FreeBSD 5.2.1-RELEASE-p5 #0: Mon May 3 02:43:15 MDT 2004 gaoj@aibsd:/usr/obj/usr/src/sys/AIBSD i386


	
>Description:	

I have changed these ports according to the feedbacks from 4.x users and my 
experiments. Now I reduce them to 5 ports, because I now know how to handle
two prefixes. The ports included are:

	textproc/scim
	chinese/scim-chinese
	chinese/scim-tables
	korean/scim-tables
	japanese/scim-tables

The textproc/scim port is marked as broken on 4.x systems because the required
wctypes implementation is not available on 4.x. So these ports only work on 5.x,
including 5.2.1-RELEASE and 5-CURRENT (with libpthread), and they really work
according to the feedback I got and my experience (having been using them for 
over a month, without any problem). Therefore I think they are ready to go into
the ports tree.

In the Fix section is a shar containing the new, updated ports.

>How-To-Repeat:
	
>Fix:

	

--- scim-ports.sh begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	textproc/scim
#	textproc/scim/files
#	textproc/scim/files/patch-ltmain.sh
#	textproc/scim/Makefile
#	textproc/scim/distinfo
#	textproc/scim/pkg-descr
#	textproc/scim/pkg-plist
#	textproc/scim/pkg-message
#	chinese/scim-chinese
#	chinese/scim-chinese/files
#	chinese/scim-chinese/files/patch-src-scim_pinyin_server.cpp
#	chinese/scim-chinese/files/patch-ltmain.sh
#	chinese/scim-chinese/Makefile
#	chinese/scim-chinese/pkg-descr
#	chinese/scim-chinese/distinfo
#	chinese/scim-chinese/pkg-message
#	chinese/scim-chinese/pkg-plist
#	chinese/scim-tables
#	chinese/scim-tables/Makefile
#	chinese/scim-tables/pkg-descr
#	chinese/scim-tables/distinfo
#	chinese/scim-tables/pkg-message
#	chinese/scim-tables/pkg-plist
#	korean/scim-tables
#	korean/scim-tables/Makefile
#	korean/scim-tables/pkg-descr
#	korean/scim-tables/distinfo
#	korean/scim-tables/pkg-message
#	korean/scim-tables/pkg-plist
#	japanese/scim-tables
#	japanese/scim-tables/Makefile
#	japanese/scim-tables/pkg-descr
#	japanese/scim-tables/distinfo
#	japanese/scim-tables/pkg-message
#	japanese/scim-tables/pkg-plist
#
echo c - textproc/scim
mkdir -p textproc/scim > /dev/null 2>&1
echo c - textproc/scim/files
mkdir -p textproc/scim/files > /dev/null 2>&1
echo x - textproc/scim/files/patch-ltmain.sh
sed 's/^X//' >textproc/scim/files/patch-ltmain.sh << 'END-of-textproc/scim/files/patch-ltmain.sh'
X--- ltmain.sh.orig	Sat Dec  6 14:47:45 2003
X+++ ltmain.sh	Tue Dec  9 14:09:01 2003
X@@ -1280,7 +1280,7 @@
X 	  esac
X 	elif test "X$arg" = "X-lc_r"; then
X 	 case $host in
X-	 *-*-openbsd* | *-*-freebsd*)
X+	 *-*-openbsd* | *-*-freebsd4*)
X 	   # Do not include libc_r directly, use -pthread flag.
X 	   continue
X 	   ;;
X@@ -1290,8 +1290,16 @@
X 	continue
X 	;;
X 
X+      -pthread)
X+      compile_command="$compile_command -pthread"
X+      finalize_command="$finalize_command -pthread"
X+      compiler_flags="$compiler_flags -pthread"
X+      continue
X+      ;;
X+
X       -module)
X 	module=yes
X+	build_old_libs=no
X 	continue
X 	;;
X 
X@@ -3000,6 +3008,9 @@
X 	    # problems, so we reset it completely
X 	    verstring=
X 	    ;;
X+	  *-*-freebsd*)
X+	    # FreeBSD doesn't need this...
X+	    ;;
X 	  *)
X 	    verstring="0.0"
X 	    ;;
X@@ -5428,10 +5439,12 @@
X 	fi
X 
X 	# Install the pseudo-library for information purposes.
X+	if /usr/bin/false; then
X 	name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
X 	instname="$dir/$name"i
X 	$show "$install_prog $instname $destdir/$name"
X 	$run eval "$install_prog $instname $destdir/$name" || exit $?
X+	fi
X 
X 	# Maybe install the static library, too.
X 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
END-of-textproc/scim/files/patch-ltmain.sh
echo x - textproc/scim/Makefile
sed 's/^X//' >textproc/scim/Makefile << 'END-of-textproc/scim/Makefile'
X# New ports collection makefile for:    scim
X# Date created:		20 May 2004
X# Whom:			Jie Gao	<gaoj@cpsc.ucalgary.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	scim
XPORTVERSION=	0.9.7
XCATEGORIES=	textproc x11
XMASTER_SITES=	http://freedesktop.org/~suzhe/sources/
X
XMAINTAINER=	gaoj@cpsc.ucalgary.ca
XCOMMENT=	Smart Common Input Method platform
X
XUSE_GNOME=	gtk20 gconf2
X
XUSE_XLIB=	yes
XUSE_ICONV=	yes
XUSE_GMAKE=	yes
XUSE_REINPLACE=	yes
XGNU_CONFIGURE=	yes
XCFLAGS+=	${PTHREAD_CFLAGS}
X
XPLIST_SUB+=	"X11BASE=${X11BASE}" \
X		"PREFIX=${PREFIX}"
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} <= 499999
XBROKEN=		"4.x lacks C99 compliant wctypes implementation"
X.endif
X
Xpost-configure:
X	${REINPLACE_CMD} '/^pkgconfigdir/s|$$(libdir)|$${exec_prefix}/libdata|' \
X		${WRKSRC}/Makefile
X	${REINPLACE_CMD} '/^scim_setup_LDFLAGS/s|=|= ${PTHREAD_LIBS}|g' \
X		${WRKSRC}/extras/setup/Makefile
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@${ECHO} To display this message again, type make post-install
X
X.include <bsd.port.post.mk>
END-of-textproc/scim/Makefile
echo x - textproc/scim/distinfo
sed 's/^X//' >textproc/scim/distinfo << 'END-of-textproc/scim/distinfo'
XMD5 (scim-0.9.7.tar.gz) = 84f352e8b17bd5d875cfc1505a7c4447
XSIZE (scim-0.9.7.tar.gz) = 1721911
END-of-textproc/scim/distinfo
echo x - textproc/scim/pkg-descr
sed 's/^X//' >textproc/scim/pkg-descr << 'END-of-textproc/scim/pkg-descr'
XSmart Common Input Method platform, in short SCIM, is a development platform
Xto make Input Method developers live easier. It has very clear architecture
Xand very simple programming interface. 
X
XWWW: http://freedesktop.org/~suzhe/
END-of-textproc/scim/pkg-descr
echo x - textproc/scim/pkg-plist
sed 's/^X//' >textproc/scim/pkg-plist << 'END-of-textproc/scim/pkg-plist'
Xbin/scim
Xbin/scim-config-agent
Xbin/scim-make-table
Xbin/scim-panel-gtk
Xbin/scim-setup
Xetc/gconf/schemas/scim.schemas
Xetc/scim/config
Xinclude/scim-1.0/gtk/scimkeyselection.h
Xinclude/scim-1.0/gtk/scimstringview.h
Xinclude/scim-1.0/gtk/scimtrayicon.h
Xinclude/scim-1.0/scim.h
Xinclude/scim-1.0/scim_attributes.h
Xinclude/scim-1.0/scim_backend.h
Xinclude/scim-1.0/scim_bind.h
Xinclude/scim-1.0/scim_config_base.h
Xinclude/scim-1.0/scim_config_module.h
Xinclude/scim-1.0/scim_config_path.h
Xinclude/scim-1.0/scim_connection.h
Xinclude/scim-1.0/scim_debug.h
Xinclude/scim-1.0/scim_event.h
Xinclude/scim-1.0/scim_exception.h
Xinclude/scim-1.0/scim_frontend.h
Xinclude/scim-1.0/scim_frontend_module.h
Xinclude/scim-1.0/scim_iconv.h
Xinclude/scim-1.0/scim_lookup_table.h
Xinclude/scim-1.0/scim_module.h
Xinclude/scim-1.0/scim_object.h
Xinclude/scim-1.0/scim_panel.h
Xinclude/scim-1.0/scim_pointer.h
Xinclude/scim-1.0/scim_server.h
Xinclude/scim-1.0/scim_server_module.h
Xinclude/scim-1.0/scim_signals.h
Xinclude/scim-1.0/scim_slot.h
Xinclude/scim-1.0/scim_socket.h
Xinclude/scim-1.0/scim_socket_transaction.h
Xinclude/scim-1.0/scim_types.h
Xinclude/scim-1.0/scim_utility.h
Xlib/libscim-0.9.so
Xlib/libscim-0.9.so.0
Xlib/libscim-gtkutils-0.9.so
Xlib/libscim-gtkutils-0.9.so.0
Xlib/libscim-gtkutils.a
Xlib/libscim-gtkutils.so
Xlib/libscim.a
Xlib/libscim.so
Xlibdata/pkgconfig/scim-gtkutils.pc
Xlibdata/pkgconfig/scim.pc
Xlib/scim-1.0/0.9.0/Config/gconf.so
Xlib/scim-1.0/0.9.0/Config/simple.so
Xlib/scim-1.0/0.9.0/Config/socket.so
Xlib/scim-1.0/0.9.0/FrontEnd/socket.so
Xlib/scim-1.0/0.9.0/FrontEnd/x11.so
Xlib/scim-1.0/0.9.0/Server/rawcode.so
Xlib/scim-1.0/0.9.0/Server/socket.so
Xlib/scim-1.0/0.9.0/Server/table.so
Xlib/scim-1.0/0.9.0/SetupUI/panel-gtk-setup.so
Xlib/scim-1.0/0.9.0/SetupUI/socket-frontend-setup.so
Xlib/scim-1.0/0.9.0/SetupUI/socket-server-setup.so
Xlib/scim-1.0/0.9.0/SetupUI/table-server-setup.so
Xlib/scim-1.0/0.9.0/SetupUI/x11-frontend-setup.so
Xshare/applications/scim-setup.desktop
Xshare/control-center-2.0/capplets/scim-setup.desktop
Xshare/locale/zh_CN/LC_MESSAGES/scim.mo
Xshare/locale/zh_TW/LC_MESSAGES/scim.mo
Xshare/pixmaps/scim-setup.png
Xshare/scim/icons/down.png
Xshare/scim/icons/full-letter.png
Xshare/scim/icons/full-punct.png
Xshare/scim/icons/half-letter.png
Xshare/scim/icons/half-punct.png
Xshare/scim/icons/help.png
Xshare/scim/icons/keyboard.png
Xshare/scim/icons/left.png
Xshare/scim/icons/pin-down.png
Xshare/scim/icons/pin-up.png
Xshare/scim/icons/rawcode.png
Xshare/scim/icons/right.png
Xshare/scim/icons/setup.png
Xshare/scim/icons/table.png
Xshare/scim/icons/trademark.png
Xshare/scim/icons/up.png
X@cwd %%X11BASE%%
Xlib/gtk-2.0/immodules/im-scim.so
X@cwd %%PREFIX%%
X@dirrm etc/scim
X@dirrm include/scim-1.0/gtk
X@dirrm include/scim-1.0
X@dirrm lib/scim-1.0/0.9.0/Config
X@dirrm lib/scim-1.0/0.9.0/FrontEnd
X@dirrm lib/scim-1.0/0.9.0/Server
X@dirrm lib/scim-1.0/0.9.0/SetupUI
X@dirrm lib/scim-1.0/0.9.0
X@dirrm lib/scim-1.0
X@dirrm share/control-center-2.0/capplets
X@dirrm share/control-center-2.0
X@dirrm share/pixmaps
X@dirrm share/scim/icons
X@dirrm share/scim
X@cwd %%X11BASE%%
X@dirrm lib/gtk-2.0/immodules
X@cwd %%PREFIX%%
END-of-textproc/scim/pkg-plist
echo x - textproc/scim/pkg-message
sed 's/^X//' >textproc/scim/pkg-message << 'END-of-textproc/scim/pkg-message'
X------------------------------------------------------------------------------
XThe installation of SCIM has finished. Please note this port is only a common
Xframework for input methods and does not contain any actual input methods.
X
XIn the ports collection the following input method components for SCIM are
Xavailable:
X
X Chinese:
X  chinese/scim-tables	Table based input methods: Array30, CangJie, Cantonese,
X                        Dayi, Erbi, EZ, Jyutping, Simplex, Wubi, Ziranma, ZhuYin
X  chinese/scim-chinese	Smart pinyin
X    
X Korean:
X  korean/scim-tables	Table based input methods: Hangul, Hanja
X
X Japanese:
X  japanese/scim-tables	Table based input methods: HIRAGANA, KATAKANA, Nippon
X
XAs a common rule, set XMODIFIERS to '@im=SCIM' and use `scim -d' to start the
Xscim daemon.
X------------------------------------------------------------------------------
END-of-textproc/scim/pkg-message
echo c - chinese/scim-chinese
mkdir -p chinese/scim-chinese > /dev/null 2>&1
echo c - chinese/scim-chinese/files
mkdir -p chinese/scim-chinese/files > /dev/null 2>&1
echo x - chinese/scim-chinese/files/patch-src-scim_pinyin_server.cpp
sed 's/^X//' >chinese/scim-chinese/files/patch-src-scim_pinyin_server.cpp << 'END-of-chinese/scim-chinese/files/patch-src-scim_pinyin_server.cpp'
X--- src/scim_pinyin_server.cpp.orig	Wed Apr 28 23:12:40 2004
X+++ src/scim_pinyin_server.cpp	Fri May 21 16:33:15 2004
X@@ -131,7 +131,7 @@
X static ConfigPointer _scim_config (0);
X 
X static const char * _DEFAULT_LOCALES = 
X-		"zh_CN.UTF-8,zh_CN.GB18030,zh_CN.GBK,zh_CN.GB2312,zh_CN,"
X+		"zh_CN.UTF-8,zh_CN.GB18030,zh_CN.GBK,zh_CN.GB2312,zh_CN.eucCN,zh_CN,"
X 		"zh_TW.UTF-8,zh_TW.Big5,zh_TW,"
X 		"zh_HK.UTF-8,zh_HK.Big5-HKSCS,zh_HK";
X 
X@@ -731,7 +731,7 @@
X 		m_user_phrase_lib = m_pinyin_global->get_user_phrase_lib ();
X 	}
X 
X-	if (encoding == "GB18030" || encoding == "GBK" || encoding == "GB2312") {
X+	if (encoding == "GB18030" || encoding == "GBK" || encoding == "GB2312" || encoding == "eucCN" ) {
X 		m_simplified = true;
X 		m_traditional = false;
X 		m_chinese_iconv.set_encoding ("GB2312");
X@@ -1111,7 +1111,7 @@
X 			if (m_parsed_keys.size () &&
X 				m_keys_caret > 0 &&
X 				m_keys_caret <= m_parsed_keys.size ()) {
X-				aux = L' ' + aux;
X+				aux = static_cast<ucs4_t>(L' ') + aux;
X     
X 				for (i=m_parsed_keys [m_keys_caret - 1].get_end_pos () - 1;
X 					 i >= m_parsed_keys [m_keys_caret - 1].get_pos (); --i)
END-of-chinese/scim-chinese/files/patch-src-scim_pinyin_server.cpp
echo x - chinese/scim-chinese/files/patch-ltmain.sh
sed 's/^X//' >chinese/scim-chinese/files/patch-ltmain.sh << 'END-of-chinese/scim-chinese/files/patch-ltmain.sh'
X--- ltmain.sh.orig	Sat Dec  6 14:47:45 2003
X+++ ltmain.sh	Tue Dec  9 14:09:01 2003
X@@ -1280,7 +1280,7 @@
X 	  esac
X 	elif test "X$arg" = "X-lc_r"; then
X 	 case $host in
X-	 *-*-openbsd* | *-*-freebsd*)
X+	 *-*-openbsd* | *-*-freebsd4*)
X 	   # Do not include libc_r directly, use -pthread flag.
X 	   continue
X 	   ;;
X@@ -1290,8 +1290,16 @@
X 	continue
X 	;;
X 
X+      -pthread)
X+      compile_command="$compile_command -pthread"
X+      finalize_command="$finalize_command -pthread"
X+      compiler_flags="$compiler_flags -pthread"
X+      continue
X+      ;;
X+
X       -module)
X 	module=yes
X+	build_old_libs=no
X 	continue
X 	;;
X 
X@@ -3000,6 +3008,9 @@
X 	    # problems, so we reset it completely
X 	    verstring=
X 	    ;;
X+	  *-*-freebsd*)
X+	    # FreeBSD doesn't need this...
X+	    ;;
X 	  *)
X 	    verstring="0.0"
X 	    ;;
X@@ -5428,10 +5439,12 @@
X 	fi
X 
X 	# Install the pseudo-library for information purposes.
X+	if /usr/bin/false; then
X 	name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
X 	instname="$dir/$name"i
X 	$show "$install_prog $instname $destdir/$name"
X 	$run eval "$install_prog $instname $destdir/$name" || exit $?
X+	fi
X 
X 	# Maybe install the static library, too.
X 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
END-of-chinese/scim-chinese/files/patch-ltmain.sh
echo x - chinese/scim-chinese/Makefile
sed 's/^X//' >chinese/scim-chinese/Makefile << 'END-of-chinese/scim-chinese/Makefile'
X# New ports collection makefile for:    zh-scim-chinese
X# Date created:		20 May 2004
X# Whom:			Jie Gao	<gaoj@cpsc.ucalgary.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	scim-chinese
XPORTVERSION=	0.3.0
XCATEGORIES=	chinese
XMASTER_SITES=	http://freedesktop.org/~suzhe/scim-chinese/
X
XMAINTAINER=	gaoj@cpsc.ucalgary.ca
XCOMMENT=	SCIM Chinese Smart Pinyin input method
X
XBUILD_DEPENDS=	scim:${PORTSDIR}/textproc/scim
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_XLIB=	yes
XUSE_ICONV=	yes
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XCFLAGS+=	${PTHREAD_CFLAGS}
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@${ECHO}
X	@${ECHO} To display this message again, type \`make post-install\'
X	@${ECHO}
X
X.include <bsd.port.mk>
END-of-chinese/scim-chinese/Makefile
echo x - chinese/scim-chinese/pkg-descr
sed 's/^X//' >chinese/scim-chinese/pkg-descr << 'END-of-chinese/scim-chinese/pkg-descr'
XSCIM Chinese Smart Pinyin input method
X
XSmart Common Input Method platform, in short SCIM, is a development platform to
Xmake Input Method developers live easier. It has very clear architecture and
Xvery simple programming interface.
X
XWWW: http://freedesktop.org/~suzhe/
END-of-chinese/scim-chinese/pkg-descr
echo x - chinese/scim-chinese/distinfo
sed 's/^X//' >chinese/scim-chinese/distinfo << 'END-of-chinese/scim-chinese/distinfo'
XMD5 (scim-chinese-0.3.0.tar.gz) = fd82f2fe86883b2a927311dbb4e89cac
XSIZE (scim-chinese-0.3.0.tar.gz) = 4811337
END-of-chinese/scim-chinese/distinfo
echo x - chinese/scim-chinese/pkg-message
sed 's/^X//' >chinese/scim-chinese/pkg-message << 'END-of-chinese/scim-chinese/pkg-message'
X--------------------------------------------------------------------
XRemember to set environment varible XMODIFIERS:
X
X  csh/tcsh: setenv XMODIFIERS @im=SCIM
X  sh/bash:  export XMODIFIERS='@im=SCIM'
X
Xand set LANG, LC_CTYPE to one of the following values:
X
X  Simplified Chinese:
X    zh_CN.UTF-8, zh_CN.GB18030, zh_CN.GBK, zh_CN.GB2312, zh_CN.eucCN
X
X  Traditional Chinese:
X    zh_TW.UTF-8, zh_TW.Big5
X    zh_HK.UTF-8, zh_HK.Big5-HKSCS 
X
XTo start the SCIM input method daemon, use command:
X
X  scim -d
X
X--------------------------------------------------------------------
END-of-chinese/scim-chinese/pkg-message
echo x - chinese/scim-chinese/pkg-plist
sed 's/^X//' >chinese/scim-chinese/pkg-plist << 'END-of-chinese/scim-chinese/pkg-plist'
Xetc/gconf/schemas/scim-chinese.schemas
Xlib/scim-1.0/Server/pinyin.so
Xlib/scim-1.0/SetupUI/pinyin-server-setup.so
Xshare/locale/zh_CN/LC_MESSAGES/scim-chinese.mo
Xshare/locale/zh_TW/LC_MESSAGES/scim-chinese.mo
Xshare/scim/chinese/phrase_lib
Xshare/scim/chinese/pinyin_phrase_index
Xshare/scim/chinese/pinyin_phrase_lib
Xshare/scim/chinese/pinyin_table
Xshare/scim/chinese/special_table
Xshare/scim/icons/smart-pinyin.png
X@dirrm lib/scim-1.0/Server
X@dirrm lib/scim-1.0/SetupUI
X@dirrm share/scim/chinese
END-of-chinese/scim-chinese/pkg-plist
echo c - chinese/scim-tables
mkdir -p chinese/scim-tables > /dev/null 2>&1
echo x - chinese/scim-tables/Makefile
sed 's/^X//' >chinese/scim-tables/Makefile << 'END-of-chinese/scim-tables/Makefile'
X# New ports collection makefile for:    zh-scim-tables
X# Date created:		22 May 2004
X# Whom:			Jie Gao	<gaoj@cpsc.ucalgary.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	scim-tables
XPORTVERSION=	0.3.5
XCATEGORIES=	chinese
XMASTER_SITES=	http://freedesktop.org/~suzhe/sources/
X
XMAINTAINER=	gaoj@cpsc.ucalgary.ca
XCOMMENT=	SCIM table based Chinese input methods
X
XBUILD_DEPENDS=	scim:${PORTSDIR}/textproc/scim
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_REINPLACE=	yes
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
X
XINPUT_METHODS=	Array30 CangJie Cantonese Dayi Erbi EZ Jyutping Simplex \
X		Wubi Ziranma ZhuYin
X
Xpre-build:
X	${REINPLACE_CMD} '/^LOCALES/s/zh_CN.GB2312/zh_CN.GB2312,zh_CN.eucCN/g' \
X		${WRKSRC}/zh/*.txt
X
Xdo-build:
X	${GMAKE} -C ${WRKSRC}/zh
X
Xdo-install:
X	${GMAKE} -C ${WRKSRC}/zh install
X	cd ${WRKSRC}/icons && for im in ${INPUT_METHODS} ;\
X	do \
X		${INSTALL_DATA} $${im}.png ${PREFIX}/share/scim/icons ;\
X	done
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@${ECHO}
X	@${ECHO} To display this message again, type \`make post-install\'
X	@${ECHO}
X
X.include <bsd.port.mk>
END-of-chinese/scim-tables/Makefile
echo x - chinese/scim-tables/pkg-descr
sed 's/^X//' >chinese/scim-tables/pkg-descr << 'END-of-chinese/scim-tables/pkg-descr'
XSCIM Chinese table based input methods: Array30, CangJie, Cantonese, Dayi,
XErbi, EZ, Jyutping, Simplex, Wubi, Ziranma, ZhuYin
X
XSmart Common Input Method platform, in short SCIM, is a development platform to
Xmake Input Method developers live easier. It has very clear architecture and
Xvery simple programming interface.
X
XWWW: http://freedesktop.org/~suzhe/
END-of-chinese/scim-tables/pkg-descr
echo x - chinese/scim-tables/distinfo
sed 's/^X//' >chinese/scim-tables/distinfo << 'END-of-chinese/scim-tables/distinfo'
XMD5 (scim-tables-0.3.5.tar.gz) = 5b924d0a517958fe29188ef96cd5a77a
XSIZE (scim-tables-0.3.5.tar.gz) = 3149806
END-of-chinese/scim-tables/distinfo
echo x - chinese/scim-tables/pkg-message
sed 's/^X//' >chinese/scim-tables/pkg-message << 'END-of-chinese/scim-tables/pkg-message'
X--------------------------------------------------------------------
XRemember to set environment varible XMODIFIERS:
X
X  csh/tcsh: setenv XMODIFIERS @im=SCIM
X  sh/bash:  export XMODIFIERS='@im=SCIM'
X
Xand set LANG, LC_CTYPE to one of the following values:
X
X  Simplified Chinese:
X    zh_CN.UTF-8, zh_CN.GB18030, zh_CN.GBK, zh_CN.GB2312, zh_CN.eucCN
X
X  Traditional Chinese:
X    zh_TW.UTF-8, zh_TW.Big5
X    zh_HK.UTF-8, zh_HK.Big5-HKSCS 
X
XTo start the SCIM input method daemon, use command:
X
X  scim -d
X
X--------------------------------------------------------------------
END-of-chinese/scim-tables/pkg-message
echo x - chinese/scim-tables/pkg-plist
sed 's/^X//' >chinese/scim-tables/pkg-plist << 'END-of-chinese/scim-tables/pkg-plist'
Xshare/scim/tables/Array30.bin
Xshare/scim/tables/CangJie.bin
Xshare/scim/tables/Cantonese.bin
Xshare/scim/tables/Dayi3.bin
Xshare/scim/tables/Erbi.bin
Xshare/scim/tables/EZ.bin
Xshare/scim/tables/Jyutping.bin
Xshare/scim/tables/Simplex.bin
Xshare/scim/tables/Wubi.bin
Xshare/scim/tables/Ziranma.bin
Xshare/scim/tables/ZhuYin.bin
Xshare/scim/icons/Array30.png
Xshare/scim/icons/CangJie.png
Xshare/scim/icons/Cantonese.png
Xshare/scim/icons/Dayi.png
Xshare/scim/icons/Erbi.png
Xshare/scim/icons/EZ.png
Xshare/scim/icons/Jyutping.png
Xshare/scim/icons/Simplex.png
Xshare/scim/icons/Wubi.png
Xshare/scim/icons/Ziranma.png
Xshare/scim/icons/ZhuYin.png
X@dirrm share/scim/tables
END-of-chinese/scim-tables/pkg-plist
echo c - korean/scim-tables
mkdir -p korean/scim-tables > /dev/null 2>&1
echo x - korean/scim-tables/Makefile
sed 's/^X//' >korean/scim-tables/Makefile << 'END-of-korean/scim-tables/Makefile'
X# New ports collection makefile for:    ko-scim-tables
X# Date created:		22 May 2004
X# Whom:			Jie Gao	<gaoj@cpsc.ucalgary.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	scim-tables
XPORTVERSION=	0.3.5
XCATEGORIES=	korean
XMASTER_SITES=	http://freedesktop.org/~suzhe/sources/
X
XMAINTAINER=	ports@freebsd.org
XCOMMENT=	SCIM table based Korean input methods
X
XBUILD_DEPENDS=	scim:${PORTSDIR}/textproc/scim
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
X
XINPUT_METHODS=	Hanja Hangul
X
Xdo-build:
X	${GMAKE} -C ${WRKSRC}/ko
X
Xdo-install:
X	${GMAKE} -C ${WRKSRC}/ko install
X	cd ${WRKSRC}/icons && for im in ${INPUT_METHODS} ;\
X	do \
X		${INSTALL_DATA} $${im}.png ${PREFIX}/share/scim/icons ;\
X	done
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@${ECHO}
X	@${ECHO} To display this message again, type \`make post-install\'
X	@${ECHO}
X
X.include <bsd.port.mk>
END-of-korean/scim-tables/Makefile
echo x - korean/scim-tables/pkg-descr
sed 's/^X//' >korean/scim-tables/pkg-descr << 'END-of-korean/scim-tables/pkg-descr'
XSCIM table based Korean input methods: Hangul, Hanja
X
XSmart Common Input Method platform, in short SCIM, is a development platform to
Xmake Input Method developers live easier. It has very clear architecture and
Xvery simple programming interface.
X
XWWW: http://freedesktop.org/~suzhe/
END-of-korean/scim-tables/pkg-descr
echo x - korean/scim-tables/distinfo
sed 's/^X//' >korean/scim-tables/distinfo << 'END-of-korean/scim-tables/distinfo'
XMD5 (scim-tables-0.3.5.tar.gz) = 5b924d0a517958fe29188ef96cd5a77a
XSIZE (scim-tables-0.3.5.tar.gz) = 3149806
END-of-korean/scim-tables/distinfo
echo x - korean/scim-tables/pkg-message
sed 's/^X//' >korean/scim-tables/pkg-message << 'END-of-korean/scim-tables/pkg-message'
X--------------------------------------------------------------------
XRemember to set environment varible XMODIFIERS:
X
X  csh/tcsh: setenv XMODIFIERS @im=SCIM
X  sh/bash:  export XMODIFIERS='@im=SCIM'
X
Xand set LANG, LC_CTYPE to a proper Korean locale or use scim-setup 
Xutility to configure the supported locale.
X
XTo start the SCIM input method daemon, use command:
X
X  scim -d
X
X--------------------------------------------------------------------
END-of-korean/scim-tables/pkg-message
echo x - korean/scim-tables/pkg-plist
sed 's/^X//' >korean/scim-tables/pkg-plist << 'END-of-korean/scim-tables/pkg-plist'
Xshare/scim/tables/Hangul.bin
Xshare/scim/tables/Hanja.bin
Xshare/scim/icons/Hangul.png
Xshare/scim/icons/Hanja.png
X@dirrm share/scim/tables
END-of-korean/scim-tables/pkg-plist
echo c - japanese/scim-tables
mkdir -p japanese/scim-tables > /dev/null 2>&1
echo x - japanese/scim-tables/Makefile
sed 's/^X//' >japanese/scim-tables/Makefile << 'END-of-japanese/scim-tables/Makefile'
X# New ports collection makefile for:    ja-scim-tables
X# Date created:		22 May 2004
X# Whom:			Jie Gao	<gaoj@cpsc.ucalgary.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	scim-tables
XPORTVERSION=	0.3.5
XCATEGORIES=	japanese
XMASTER_SITES=	http://freedesktop.org/~suzhe/sources/
X
XMAINTAINER=	ports@freebsd.org
XCOMMENT=	SCIM table based Japanese input methods
X
XBUILD_DEPENDS=	scim:${PORTSDIR}/textproc/scim
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
X
XINPUT_METHODS=	HIRAGANA KATAKANA Nippon
X
Xdo-build:
X	${GMAKE} -C ${WRKSRC}/ja
X
Xdo-install:
X	${GMAKE} -C ${WRKSRC}/ja install
X	cd ${WRKSRC}/icons && for im in ${INPUT_METHODS} ;\
X	do \
X		${INSTALL_DATA} $${im}.png ${PREFIX}/share/scim/icons ;\
X	done
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X	@${ECHO}
X	@${ECHO} To display this message again, type \`make post-install\'
X	@${ECHO}
X
X.include <bsd.port.mk>
END-of-japanese/scim-tables/Makefile
echo x - japanese/scim-tables/pkg-descr
sed 's/^X//' >japanese/scim-tables/pkg-descr << 'END-of-japanese/scim-tables/pkg-descr'
XSCIM table based Japanese input method: HIRAGANA, KATAKANA, Nippon
X
XSmart Common Input Method platform, in short SCIM, is a development platform to
Xmake Input Method developers live easier. It has very clear architecture and
Xvery simple programming interface.
X
XWWW: http://freedesktop.org/~suzhe/
END-of-japanese/scim-tables/pkg-descr
echo x - japanese/scim-tables/distinfo
sed 's/^X//' >japanese/scim-tables/distinfo << 'END-of-japanese/scim-tables/distinfo'
XMD5 (scim-tables-0.3.5.tar.gz) = 5b924d0a517958fe29188ef96cd5a77a
XSIZE (scim-tables-0.3.5.tar.gz) = 3149806
END-of-japanese/scim-tables/distinfo
echo x - japanese/scim-tables/pkg-message
sed 's/^X//' >japanese/scim-tables/pkg-message << 'END-of-japanese/scim-tables/pkg-message'
X--------------------------------------------------------------------
XRemember to set environment varible XMODIFIERS:
X
X  csh/tcsh: setenv XMODIFIERS @im=SCIM
X  sh/bash:  export XMODIFIERS='@im=SCIM'
X
Xand set LANG, LC_CTYPE to a proper Japanese locale or use scim-setup 
Xutility to configure the supported locale.
X
XTo start the SCIM input method daemon, use command:
X
X  scim -d
X
X--------------------------------------------------------------------
END-of-japanese/scim-tables/pkg-message
echo x - japanese/scim-tables/pkg-plist
sed 's/^X//' >japanese/scim-tables/pkg-plist << 'END-of-japanese/scim-tables/pkg-plist'
Xshare/scim/tables/HIRAGANA.bin
Xshare/scim/tables/KATAKANA.bin
Xshare/scim/tables/Nippon.bin
Xshare/scim/icons/HIRAGANA.png
Xshare/scim/icons/KATAKANA.png
Xshare/scim/icons/Nippon.png
X@dirrm share/scim/tables
END-of-japanese/scim-tables/pkg-plist
exit
--- scim-ports.sh ends here ---
Comment 4 Vanilla I. Shu freebsd_committer 2004-06-19 02:45:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vanilla

I will handle this one.
Comment 5 Vanilla I. Shu freebsd_committer 2004-07-02 23:44:34 UTC
State Changed
From-To: open->closed

Committed, thanks. 

devel/portlint will be your best friend :)